# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/colinmarc/hdfs
%global goipath         github.com/colinmarc/hdfs/v2
%global forgeurl        https://github.com/colinmarc/hdfs
Version:                2.2.0

%gometa

%global common_description %{expand:
This is a native golang client for hdfs. It connects directly to the namenode
using the protocol buffers API.

It tries to be idiomatic by aping the stdlib os package, where possible, and
implements the interfaces from it, including os.FileInfo and os.PathError.}

%global golicenses      LICENSE.txt
%global godocs          CODE_OF_CONDUCT.md README.md

Name:           %{goname}
Release:        6%{?dist}
Summary:        Native go client for HDFS

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/client)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/config)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/credentials)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/crypto)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/gssapi)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/iana/keyusage)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/spnego)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/types)
BuildRequires:  golang(github.com/pborman/getopt)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
export LDFLAGS="-X main.version=%{version} "
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# .: needs network
%gocheck -d .
%endif

%files
%license LICENSE.txt
%doc CODE_OF_CONDUCT.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.2.0-5
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.0-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Mar 06 08:15:54 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.0-1
- Initial package
